/****************************************************************************
**
** Copyright (C) 2022 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Outrun demo.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

import QtQuick
import QtQuick.Controls
import QtQuick3D
import QtQuick3D.Helpers
import Outrun_Cluster 1.0
import QtQuick.Timeline 1.0
import QtQuick.Studio.Effects 1.0
import QtQuick3D.Effects 6.2
import Quick3DAssets.Hyperdrive 1.0
import Quick3DAssets.Warp 1.0
import Quick3DAssets.Lanes 1.0
import Quick3DAssets.Cluster 1.0
import QtQuick3D.Particles3D 6.2
import Quick3DAssets.Gaugelines 1.0
import Quick3DAssets.AdasPlane 1.0
import Quick3DAssets.Car_Optimized_2 1.0
import Quick3DAssets.Desert_Enviroment 1.0
import Quick3DAssets.Car 1.0
import Quick3DAssets.Demo_City_Buildings 1.0
import Quick3DAssets.Demo_City_Ground 1.0
import "chargemenuSide"
import Quick3DAssets.AdasPlane2 1.0
import Quick3DAssets.PlaneBend3 1.0

SpotLight {
    id: lightSpot
    visible: false
    color: "#1d1d1e"
    brightness: 0
    states: [
        State {
            name: "lightday"
            when: !globalNightMode

            PropertyChanges {
                target: lightSpot
                opacity: 0
                visible: false
                color: "#343440"
                coneAngle: 0
                brightness: 0
            }
        },
        State {
            name: "lightnight"
            when: globalNightMode

            PropertyChanges {
                target: lightSpot
                visible: true
                color: "#ffffff"
                brightness: 127
            }
        }
    ]
    innerConeAngle: 23
    coneAngle: 180
    quadraticFade: 10
    eulerRotation.x: 180
    z: 206.47559
}


